hardvk0

Members
  • Content Count

    15
  • Joined

  • Last visited

About hardvk0

  • Rank
    Member

Recent Profile Visitors

354 profile views
  1. hardvk0

    Armbian in Read Only Mode

    Does this work? How is it done? Is there any guide for dummies? Ubuntu xenial is not valid for me for missing php5 and something else, but if it works overlayroot. I really liked how it works. In debian jessie with kernel 4.8.4 it works but I want to freeze the system. I just need to make overlayroot work. PD: On behalf of google, sorry for the translation.
  2. hardvk0

    Where is ramlog?

    I modified the code to expand to 256 mb. I changed the cp command for rsync, I do not remember exactly why I did it but surely solved a problem I had. /usr/local/bin/log2ram: #!/bin/sh HDD_LOG=/var/log.hdd/ RAM_LOG=/var/log/ SIZE=256M case "$1" in start) [ -d $HDD_LOG ] || mkdir $HDD_LOG mount --bind $RAM_LOG $HDD_LOG mount --make-private $HDD_LOG mount -t tmpfs -o nosuid,noexec,nodev,mode=0755,size=$SIZE ramlog $RAM_LOG rsync -aXWv --delete --links $HDD_LOG $RAM_LOG # cp -rfup $HDD_LOG -T $RAM_LOG ;; stop) rsync -aXWv --delete --links $RAM_LOG $HDD_LOG # cp -rfup $RAM_LOG -T $HDD_LOG umount -l $RAM_LOG umount -l $HDD_LOG ;; write) rsync -aXWv --delete --links $RAM_LOG $HDD_LOG # cp -rfup $RAM_LOG -T $HDD_LOG ;; esac
  3. hardvk0

    Where is ramlog?

    /etc/cron.daily/log2ram: #!/bin/sh test -x /usr/local/bin/log2ram || exit 0 /usr/local/bin/log2ram write
  4. hardvk0

    Where is ramlog?

    I found this googling: https://github.com/azlux/log2ram It would be a solution? It will work with Armbian?
  5. I'm with you phleum. Wheezy is better than Jessie, in my humble opinion, for several reasons. Is there a problem or incompatibility putting Stretch (testing) with Armbian repository?. I want to update multiple systems. Jessie missing some packages I need, do exist in Wheezy and Stretch, and I would not mix versions
  6. As of 25 April, one year after the release of Debian 8, alias "Jessie", and nearly three years after the release of Debian 7, alias "Wheezy", regular security support for Wheezy comes to an end. The Debian Long Term Support (LTS) Team will take over security support. https://www.debian.org/News/2016/20160425 Important: Wheezy-LTS only supports i386 and amd64. The support for armel and armhf is waiting for confirmation from all related Debian Teams. Users of other architectures are encouraged to upgrade to Debian 8 ("Jessie").
  7. hardvk0

    Where is ramlog?

    Oh, sorry. I did not understand that "w/o" = without. google translator. Since the adoption of systemd by debian, I've only had problems. Do one thing and do it well, ha!!! Damn systemd. Damn RedHat. Sorry Igor
  8. hardvk0

    Where is ramlog?

    Hi. In the new image of banana pi (Armbian_5.00_Bananapi_Debian_jessie_4.4.1) there is no ramlog. apt-get can not find it. It has been permanently removed?
  9. hardvk0

    Several aesthetic considerations in v5.00

    Well, I do not know exactly how the script works. I propose an idea, find out first mounted partitions and display the data later. df -l excluding tmpfs, for example, do that. I do not know programming, I'm too old for that but certainly with your magic you know how. A query, how do I show the data with the session already started?
  10. hardvk0

    USB drives sometimes not mounted at boot

    With the new kernel 4.4.1 and removing the added line, seems to work fine.
  11. I have a "Banana PRO" One USB disk, 2TB with three partitions in ext4, the first partition is mounted (hdb1), the other two are not mounted. One USB disk, 4TB with a single ext4 partition mounted (hdc1). One SATA SSD disk with a single ext4 partition unmounted (hda1). Several aesthetic considerations: After the upgrade, reboot and login, the welcome screen and 100% battery!!! Hurrah!!! It seems that the MMC is 9% occupancy and ... oh! my hdb disk has only one partition? ah no, only reads hdb1. And the other two disks? I have two mounted partitions but only shows one. Turn off the system with the poweroff order and boot from the power button again, the battery is down to 97%? 30 minutes later still 97% ... I think we will have to discharge the battery to calibrate. It is a bit ugly to show the battery charge on two lines. ____ | __ ) __ _ _ __ __ _ _ __ __ _ | _ \ / _` | '_ \ / _` | '_ \ / _` | | |_) | (_| | | | | (_| | | | | (_| | |____/ \__,_|_| |_|\__,_|_| |_|\__,_| Welcome to ARMBIAN Debian GNU/Linux 8 (jessie) 4.4.1-sunxi System load: 0.10 Up time: 2 min Memory usage: 4 % of 997Mb IP: 192.168.187.89 CPU temp: 38°C Usage of /: 9% of 15G storage/: 88% of 1.8T Battery: 9 7% charging Last login: Sat Feb 13 01:49:50 2016 from remote.intranet root@mybanana:~#
  12. hardvk0

    Ham radio support

    Good news. I can not wait for the new version arrives. Also supported by AX25, I may resume some things left in my glorious 8088 and 286 they rest in peace. 73 y buenos DX
  13. hardvk0

    USB drives sometimes not mounted at boot

    "sleep 5" work fine Tnx.
  14. hardvk0

    USB drives sometimes not mounted at boot

    I have the same issue. Banana pro, 2 hdd with external power, kernel 4.3.3. I added "rootdelay=10" in the boot.cmd and it seems that minimizes the problem but does not go away when I remove the power to the board.
  15. Hi. I just came from the world of RPi. In raspbx there is a script that performs a full backup of the SD card. In my case helped by crond, overnight, I mount an SMB route, and the script dumps the differences in the image. The script is raspbx-backup. I do not know how to adapt to this new image, because now there is only one partition and before had two, Boot and rootfs. I only know how to read between the lines. For me this was a blessing because it could break anything and in five minutes was like new. #!/bin/bash # RasPBX backup utility, version 1.2 # Author: Gernot Bauer <gernot@raspbx.org> # # This file is part of RasPBX. # # RasPBX is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 2 of the License, or # (at your option) any later version. # # RasPBX is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # files MOUNTPATH=/media/bkup BOOTMOUNT=/boot DEFAULT_RPI_IMAGE_SIZE=3724 DEFAULT_BBB_IMAGE_SIZE=1828 DEFAULT_IMAGE_SIZE=$DEFAULT_RPI_IMAGE_SIZE # subroutines setup_lo() { DEVICE1=`/sbin/losetup -f` if [ -z "$DEVICE1" ] then echo "Error setting up loop device." exit 1 fi /sbin/losetup -f -o 1048576 --sizelimit 78643200 $IMAGE_FILE if [ $? -ne 0 ] then echo "Error setting up loop device." exit 1 fi DEVICE2=`/sbin/losetup -f` if [ -z "$DEVICE2" ] then echo "Error setting up loop device." /sbin/losetup -d $DEVICE1 exit 1 fi /sbin/losetup -f -o 80740352 $IMAGE_FILE if [ $? -ne 0 ] then echo "Error setting up loop device." /sbin/losetup -d $DEVICE1 exit 1 fi } delete_lo() { /sbin/losetup -d $DEVICE1 if [ $? -ne 0 ] then echo "Error removing loop device." /sbin/losetup -d $DEVICE2 exit 1 fi /sbin/losetup -d $DEVICE2 if [ $? -ne 0 ] then echo "Error removing loop device." exit 1 fi } mount_image() { if [ ! -d $MOUNTPATH ] then mkdir $MOUNTPATH fi mount $DEVICE2 $MOUNTPATH if [ $? -ne 0 ] then echo "Error mounting root partition. Wrong image file?" delete_lo exit 1 fi if [ ! -d ${MOUNTPATH}${BOOTMOUNT} ] then mkdir -p ${MOUNTPATH}${BOOTMOUNT} fi mount $DEVICE1 ${MOUNTPATH}${BOOTMOUNT}/ if [ $? -ne 0 ] then echo "Error mounting boot partition. Wrong image file?" umount ${MOUNTPATH} delete_lo exit 1 fi } unmount_image() { umount ${MOUNTPATH}${BOOTMOUNT} if [ $? -ne 0 ] then echo "Error unmounting boot partition." umount -l ${MOUNTPATH}${BOOTMOUNT} umount -l ${MOUNTPATH} delete_lo exit 1 fi umount ${MOUNTPATH} if [ $? -ne 0 ] then echo "Error unmounting root partition." umount -l ${MOUNTPATH} delete_lo exit 1 fi } create_image() { if [ -f $IMAGE_FILE ] then echo "Image file $IMAGE_FILE already exists!" echo "Please remove it manually or specify a different file." echo "Call \"raspbx-backup $IMAGE_FILE\" to make a backup to this file." exit 1 fi apt-get -y install dosfstools rsync parted if [ $? -ne 0 ] then echo "Error installing required tools." exit 1 fi echo "Creating image file. This will take a while..." SEEKMB=$(expr $IMAGE_SIZE - 1) dd bs=1M count=1 seek=$SEEKMB if=/dev/zero of=$IMAGE_FILE if [ $? -ne 0 ] then echo "Error creating image file." exit 1 fi LASTSECTOR=$(expr $IMAGE_SIZE \* 2048 - 1) sync parted $IMAGE_FILE << EOF mktable msdos unit s mkpart primary fat32 2048 155647 mkpart primary 157696 $LASTSECTOR quit EOF if [ $? -ne 0 ] then echo "Error creating partitions." exit 1 fi setup_lo mkfs.vfat $DEVICE1 if [ $? -ne 0 ] then echo "Error creating FAT partition." delete_lo exit 1 fi mkfs.ext4 $DEVICE2 if [ $? -ne 0 ] then echo "Error creating ext4 partition." delete_lo exit 1 fi mount_image mkdir ${MOUNTPATH}/dev ${MOUNTPATH}/media ${MOUNTPATH}/mnt ${MOUNTPATH}/proc ${MOUNTPATH}/run ${MOUNTPATH}/sys ${MOUNTPATH}/tmp if [ $? -ne 0 ] then echo "Error creating directories." unmount_image delete_lo exit 1 fi chmod a+rwxt ${MOUNTPATH}/tmp unmount_image delete_lo } do_backup () { if [ ! -f $IMAGE_FILE ] then echo "Image file $IMAGE_FILE does not exist." exit 1 fi setup_lo mount_image sync rsync -aDH --partial --numeric-ids --delete --force --exclude '/dev' --exclude '/media' --exclude '/mnt' --exclude '/proc' --exclude '/run' --exclude '/sys' --exclude '/tmp' --exclude 'lost\+found' --exclude '/etc/udev/rules.d/70-persistent-net.rules' / ${MOUNTPATH}/ if [ $? -ne 0 ] then echo "Error running backups." unmount_image delete_lo exit 1 fi unmount_image delete_lo } # start if [ `grep -c "/boot/uboot" /etc/fstab` -ne 0 ] then BOOTMOUNT=/boot/uboot DEFAULT_IMAGE_SIZE=$DEFAULT_BBB_IMAGE_SIZE fi # command line options for i in $* do case $i in *) IMAGE_FILE=$i ;; esac done if [ ! -z "$IMAGE_FILE" ] then do_backup exit 0 fi echo "RasPBX backup utility. Read the documentation here: http://raspbx.org/backup" echo echo "In the following process a new image file will be created, mirroring your" echo "complete system. The size of this file should be identical to the size" echo "of your SD card. Put this file onto a mounted USB thumb/hard drive or" echo "mounted network share. Don't put it on your SD card!" echo "Once the image file is set up backups can be made to it in an automated" echo "fashion with:" echo echo "raspbx-backup <path_to_image_file>" echo while [ -z "$IMAGE_FILE" ] do echo -n "Image file including full path: " read IMAGE_FILE done ROOT_PART=`cat /proc/cmdline | sed 's/.*root=\([^ ]*\).*/\1/'` ROOT_SIZE=0 SIZE_DETECTED=0 if [ ! -z "$ROOT_PART" ] then ROOT_SIZE=`sfdisk -s $ROOT_PART` fi if [ $ROOT_SIZE -gt 102400 ] then DEFAULT_IMAGE_SIZE=$(expr $ROOT_SIZE / 1024 + 65) SIZE_DETECTED=1 fi echo echo "Specify the size of the image file in MB. Defaults to $DEFAULT_IMAGE_SIZE MB, which" if [ $SIZE_DETECTED -eq 1 ] then echo "has been calculated from the actual size of your root partition." else echo "is the original RasPBX image file size (keep the default if you did not" echo "resize your root partition)." fi echo -n "Size in MB [$DEFAULT_IMAGE_SIZE]: " read IMAGE_SIZE if [ -z "$IMAGE_SIZE" ] then IMAGE_SIZE=$DEFAULT_IMAGE_SIZE fi echo create_image echo echo "Running backup now..." do_backup echo "Finished." exit 0